[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'FileUtil' (#lcl)

# FindDiskFilename

FindDiskFilename - finds the file that best fits the supplied filename

## Declaration

Source position: fileutil.pas line 115

`function FindDiskFilename(`
`const Filename: String`
`):String;`

## Arguments

`Filename` |  | The name of the file for checking

## Function result

Returns the best fitting filename from the disk (taking case into consideration)

## Description

FindDiskFilename - finds the file that best fits the supplied filename

Searches for the filename case on disk. The file must exist.

For example: If Filename='file' and there is only a 'File' then 'File' will be returned.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .